#
# Copyright (c) 1998 Picture Elements, Inc.
# Stephen Williams (steve@picturel.com)
#
#    This source code is free software; you can redistribute it
#    and/or modify it in source code form under the terms of the GNU
#    Library General Public License as published by the Free Software
#    Foundation; either version 2 of the License, or (at your option)
#    any later version. In order to redistribute the software in
#    binary form, you will need a Picture Elements Binary Software
#    License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Library General Public License for more details.
#
#    You should have received a copy of the GNU Library General Public
#    License along with this program; if not, write to the Free
#    Software Foundation, Inc.,
#    59 Temple Place - Suite 330
#    Boston, MA 02111-1307, USA
#
#    You should also have recieved a copy of the Picture Elements
#    Binary Software License offer along with the source. This offer
#    allows you to obtain the right to redistribute the software in
#    binary (compiled) form. If you have not received it, contact
#    Picture Elements, Inc.,
#    777 Panoramic Way
#    Berkeley, CA 94704.
#
#ident "$Id: ikit_bmp.tcl,v 1.2 1998/10/09 22:25:54 steve Exp $"
#

set bmp_file_save ""
proc bmp_save {} {
    global bmp_file_save
    set source [ik_stack_peek]
    if {[llength $source] == 0} return

    set rc [ik_get_values \
	    "{bmp_file_save {BMP file to save:} filename-w}" \
	    CANCEL ]
    if {$rc != "OK"} return

    set file "$bmp_file_save"

    ik_store $source -bmp $file

    ik_console "Store $source in BMP file $file\n"
}

ik_add_saver  "BMP" bmp_save

#
# $Log: ikit_bmp.tcl,v $
# Revision 1.2  1998/10/09 22:25:54  steve
#  Much more portable file selection.
#
# Revision 1.1  1998/03/19 03:20:30  steve
#  Add a BMP file saver.
#
#
